Page MenuHomePhabricator

cassandra 2.2.6-wmf4 is not compatible with python 2.7.13 (debian stretch)
Closed, ResolvedPublic

Description

When testing T195741, we discovered that the recently built cassandra 2.2.6-wmf4 has an issue with cqlsh not working out of the box. We are running into CASSANDRA-11850.

workaround:

installing the python-cassandra package, then using CQLSH_NO_BUNDLED=TRUE cqlsh to connect

@Eevans any cahnce we could backport the fix to our version? Or should we just upgrade to 2.2.12?

Event Timeline

Gehel created this task.May 31 2018, 7:55 AM
Restricted Application added a project: Discovery. · View Herald TranscriptMay 31 2018, 7:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
elukey added a subscriber: elukey.May 31 2018, 10:22 AM

My personal preference would be to apply the patch if it is trivial/small rather than upgrading cassandra.

MoritzMuehlenhoff triaged this task as Medium priority.May 31 2018, 4:29 PM

OK, I've pushed 2.2.6-wmf5 to http://people.wikimedia.org/~eevans (signed with key ID 8D77295D).

It [[ https://github.com/wikimedia/cassandra/compare/wmf/2.2.6-wmf4...wmf/2.2.6-wmf5 | patches the cqlsh shell wrapper to export CQLSH_NO_BUNDLED, and adds python-cassandra as a package dependency ]]. Like -wmf4, this should work on both jessie and stretch, but please test in your respective environments to be sure.

Change 439905 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] maps: upgrade to cassandra-2.2.6-wmf5

https://gerrit.wikimedia.org/r/439905

Change 439905 merged by Gehel:
[operations/puppet@production] maps: upgrade to cassandra-2.2.6-wmf5

https://gerrit.wikimedia.org/r/439905

Gehel added a comment.Jun 12 2018, 1:37 PM

cassandra-2.2.6-wmf5 deployed on maps-test2004, it seems to work just fine.

Gehel added a comment.Jun 12 2018, 5:01 PM

@Eevans what do we need to do before uploading this to reprepro? I assume some coordination with @elukey is needed. What else?

@Eevans what do we need to do before uploading this to reprepro? I assume some coordination with @elukey is needed. What else?

I think it makes sense to ping @elukey first, yeah, but AQS is pinned to 2.2.6-wmf3, so updating the APT repo should be Safe™ (it would only make it a more difficult to re-provision).

Yep I think that uploading the new version (cassandra-2.2.6-wmf5) to the cassandra22 component should be safe for AQS. Opened https://phabricator.wikimedia.org/T197062 to track the work :)

Seems to work fine in labs, I am ok with uploading it to reprepro (cassandra22 component) for jessie/stretch wikimedia. After that I'll upgrade AQS!

Gehel closed this task as Resolved.Jun 13 2018, 2:22 PM
Gehel claimed this task.

2.2.6-wmf5 uploaded to reprepro, we can close this task.

Vvjjkkii renamed this task from cassandra 2.2.6-wmf4 is not compatible with python 2.7.13 (debian stretch) to nxbaaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Gehel as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
WhitePhosphorus renamed this task from nxbaaaaaaa to cassandra 2.2.6-wmf4 is not compatible with python 2.7.13 (debian stretch).Jul 1 2018, 2:54 AM
WhitePhosphorus closed this task as Resolved.
WhitePhosphorus assigned this task to Gehel.
WhitePhosphorus lowered the priority of this task from High to Medium.
WhitePhosphorus updated the task description. (Show Details)
WhitePhosphorus added subscribers: Aklapper, gerritbot.